API DocumentationManufacturer production step controller

Rename production step

Updates the name of a production step

PATCH
/api/manufacturer/v1/production-step/{stepId}/rename
AuthorizationBearer <token>

In: header

Path Parameters

stepIdstring

ID of the production step to rename

Formatuuid
namestring

Response Body

curl -X PATCH "http://m-api-dev.phas.io/api/manufacturer/v1/production-step/497f6eca-6276-4993-bfeb-53cbbbba6f08/rename" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "groupId": "string",
    "prefix": "string",
    "type": "string",
    "productionStatusId": "44fdd4cb-6f56-49be-a233-2672a65887f7",
    "productionStatusName": "string",
    "manufacturerUsername": "string",
    "actorType": "string",
    "isCompleted": true,
    "completedAt": "string",
    "createdAt": "string",
    "updateDt": "string"
  }
]
Empty
Empty

Last updated on